#include <stdio.h>
#include <stdlib.h>

int main() {
    int N, L, H;
    scanf("%d %d", &N, &L);
    for (int i = 0; i < N; i++) {
        scanf("%d", &H);
        if (H <= L) {
            printf("%d\n", i + 1);
            return 0;
        }
    }
    printf("-1\n");
    return 0;
}